Chuyển đến nội dung
Diễn đàn CADViet

Tue_NV

Moderator
  • Số lượng nội dung

    4.253
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    280

Cộng đồng

3.896 (đỉnh cao)

11 Người theo dõi

About Tue_NV

  • Cấp bậc
    KS Võ Quang Tuệ

Phương pháp liên hệ

  • Địa chỉ Trang web:
    http://www.nhanviet.org
  • ICQ
    0
  • Yahoo
    facebook: tue_nvcc@yahoo.com
  • Skype
    voquangtue

Thông tin hồ sơ

  • Giới tính
    Male
  • Vị trí
    Đà Nẵng

Khách truy cập Tiểu sử gần đây

40.193 chế độ xem tiểu sử

Cập nhật trạng thái Đơn

Xem tất cả cập nhật của Tue_NV

  1. Chào anh, giúp em cái lisp này được không ạ?

    1. Tue_NV

      Tue_NV

      Giúp gì vậy bạn?

    2. DungNguyen685

      DungNguyen685

      Em có xem qua topic anh về lisp tính đai con có viết thêm như này nhưng em muốn thêm điều kiện cùng số hiệu với cùng phi nó mới cộng tổng số lượng, mong a xem giúp.

      
      ;///////////////////////////////////////
      (defun c:tmp()
      (SETQ CMD (GETVAR "CMDECHO"))
      (SETQ OSM (GETVAR "OSMODE"))
      (SETQ OLDERR *error*
        *error* myerror)
        (defun GeD(v / l en)
          (setq l nil)
          (vlax-for item (vla-item (vla-get-blocks (vla-get-ActiveDocument (vlax-get-acad-object)))
          (cdr (assoc 2 (entget v))))
            (if (= "MTEXT" (cdr (assoc 0 (entget (setq en (vlax-vla-object->ename item))))))
      (setq l en))
          ) l
        )
      
        (Prompt "\nChon Dim:")
        (setq l nil)
        (foreach x (acet-ss-to-list (ssget '((0 . "DIMENSION"))))
        	(setq txt  (cdr (assoc 1 (entget (Ged x)))))
          (if (and (vl-string-search "[" txt) (vl-string-search "%" txt) (vl-string-search "a" txt))
          (setq sl (atoi (substr txt (+ 2 (vl-string-search "]" txt))(- (vl-string-search "%" txt) (vl-string-search "]" txt) 1)))
       		  fi (atoi (substr txt (+ 4 (vl-string-search "%" txt))(- (vl-string-search "a" txt) (vl-string-search "%" txt) 3)))
        l (if (not (assoc fi l))
          (cons (cons fi sl) l)
          (subst (cons fi (+ sl (cdr (assoc fi l)))) (assoc fi l) l)
      	)
      	)
      	)
      	)
        (if l
          (progn
            (foreach x l 
      (setq st (strcat (itoa (cdr x)) "D" (itoa (car x))))
      (alert (strcat st))
      ;///////////////
      (vl-load-com)
      (prompt "\nChon thep can ghi: ")
      (setq
          ss (ssget  (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
          L 0.0
      )
      (vl-load-com)
      (while (setq e (ssname ss 0))
          (setq L (+ L (length1 e)))
          (ssdel e ss)
      )
      (setq Z (/ L 5) )
      (setq Z1 (fix Z) )
      (setq Z2 (- Z Z1) )
      (setq Z3 (IF (>= Z2 0.5) (+ Z1 1) Z1))	
      (setq Z4 (* Z3 5) )
      (or (and hbvt (or (= (type hbvt) 'int) (= (type hbvt) 'STRING))) (setq hbvt 10))
      (setq hbvt (cond ((GETSTRING (strcat "\nSo hieu thanh thep: "))) (hbvt)))
      (setq tsthep (strcat st) 
      Z5 (strcat st "-L="(rtos Z4 2 0)) 
      cdthep (strcat "["hbvt"]" st "-L="(rtos Z4 2 0)) 
      nbk "E:\\Facebuild\\Cad\\MaHieuTH9012345678901.dwg" 
      osm (getvar "OSMODE") sca (getvar "DIMSCALE")
      uni (getvar "INSUNITS"))
      (setvar "OSMODE" 0) (setvar "INSUNITS" 6)
      (setq diem (getpoint "\nChon diem ghi chieu dai"))
      (command ".insert" nbk diem sca sca 0 hbvt tsthep Z5 cdthep)
      (setvar "OSMODE" osm) (setvar "INSUNITS" uni)
      (princ)
      )
      )
      )
      (SETVAR "CMDECHO" CMD)
      (SETVAR "OSMODE" OSM)
      (setq *error* OLDERR)
      (princ)
      )

       

    3. Tue_NV

      Tue_NV

      là sao bạn nhỉ? Add zalo đi 0392021414

×